'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var _extends = require('@babel/runtime/helpers/extends');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
var PropTypes = require('prop-types');
var reactJss = require('react-jss');
var classNames = require('classnames');
var Color = require('@evg-b/evg-ui/dist/utils/Color');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var _extends__default = /*#__PURE__*/_interopDefaultLegacy(_extends);
var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
var PropTypes__default = /*#__PURE__*/_interopDefaultLegacy(PropTypes);
var classNames__default = /*#__PURE__*/_interopDefaultLegacy(classNames);
var Color__default = /*#__PURE__*/_interopDefaultLegacy(Color);

var MapSize = {
  'small': '18px',
  'medium': '24px',
  'large': '36px',
  'extra': '48px'
};
var styles = {
  base: {
    display: 'inline-flex',
    boxSizing: 'content-box',
    justifyContent: 'center',
    userSelect: 'none',
    width: '1em',
    height: '1em',
    fill: 'currentColor',
    color: function color(props) {
      return Color__default['default'](props.color).Color;
    },
    fontSize: function fontSize(props) {
      return "".concat(MapSize[props.size]);
    }
  }
};
var SvgIcon = /*#__PURE__*/React__default['default'].forwardRef(function SvgIcon(props, ref) {
  var classes = props.classes,
      className = props.className,
      children = props.children,
      color = props.color,
      size = props.size,
      viewBox = props.viewBox,
      otherProps = _objectWithoutProperties__default['default'](props, ["classes", "className", "children", "color", "size", "viewBox"]);

  return /*#__PURE__*/React__default['default'].createElement("svg", _extends__default['default']({
    ref: ref,
    className: classNames__default['default'](classes.base, className),
    viewBox: "0 0 ".concat(viewBox, " ").concat(viewBox)
  }, otherProps), children);
});
SvgIcon.propTypes = {
  children: PropTypes__default['default'].node,
  classes: PropTypes__default['default'].object,
  className: PropTypes__default['default'].string,
  size: PropTypes__default['default'].oneOf(['small', 'medium', 'large', 'extra']),
  color: PropTypes__default['default'].string,
  viewBox: PropTypes__default['default'].number
};
SvgIcon.defaultProps = {
  color: 'default',
  size: 'medium',
  viewBox: 24
};
SvgIcon.displayName = 'SvgIconEVG';
var SvgIcon$1 = reactJss.withStyles(styles)(SvgIcon);

exports.default = SvgIcon$1;
